登入區塊
帳號:

密碼:


遺失密碼嗎?

何不馬上註冊!
主選單
註冊流程範例
線上協助
回到首頁
公司簡介
空間協定線上教學

設計師作品
技術討論區
FAQ-問與答
精華文章
聯絡管理員
PDF Reader下載點

環景繞視作品
環景繞視作品一
環景繞視作品二
環景繞視作品三


一般會員下載
檔案下載區
空間協定會員下載
檔案下載區

協勤員工信箱


首頁選單
REVIT CLUB
註冊流程範例
回到首頁
公司簡介
空間協定線上教學

技術討論區
FAQ-問與答
聯繫管理員
PDF Reader下載點

聯強 問與答

AnyDesk
搜尋區塊

進階搜尋
 

     協勤資訊 新網站 新服務 新優惠登場!!



 


討論區主頁
   AutoCAD 
     如何安插一個DWG檔當作Block
無發表權

樹狀顯示 | 新的在前 前一個主題 | 下一個主題 | 頁尾
發表者 討論內容
訪客
發表時間: 2004-07-28 16:13
如何安插一個DWG檔當作Block
我希望能利用ARX插入一個DWG檔當作一個Block

我現在的方法一直試不成功,
我用一個AcDbDatabasd去readDwgFile讀一個Dwg檔,
然後讀出裡面的Entity,
在這目前工作的AcDbDatabase中的AcDbBlockTableRecord去AppendEntity,
但是一直都沒辦法~
那個Block完全沒有圖素存在,
不知道問題出在哪個地方?
還是方法根本就是錯低~

請指教~謝謝~
訪客
發表時間: 2004-07-30 17:24
Re: 如何安插一個DWG檔當作Block
最好有一些代碼,這樣才能說清楚,也讓看的人比較容易懂.上面就說這麼幾句,也不知道怎麼回事
bell
發表時間: 2004-08-03 15:33
Just popping in
註冊日: 2004-07-30
來自:
發表數: 1
Re: 如何安插一個DWG檔當作Block
"我用一個AcDbDatabasd去readDwgFile讀一個Dwg檔,
然後讀出裡面的Entity,在這目前工作的AcDbDatabase中的AcDbBlockTableRecord去AppendEntity"
你在AppendEntity时有没有new一个.
也可以用AcDbDatabase.insert做呀.
樹狀顯示 | 新的在前 前一個主題 | 下一個主題 | 頁首

無發表權
 

[TOP]

  本網頁使用 XOOPS 2.0.13.a 繁體中文版建置 由協勤資訊有限公司客服部管理